Queries suppliers for a specific item.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/items/{itemId}/suppliers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/items/{itemId}/suppliers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/items/{itemId}/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"supplierId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"supplierName": "<string>",
"supplierItemName": "<string>",
"supplierItemNumber": "<string>",
"deliveryPeriod": "<string>",
"supplierCurrency": "<string>",
"isDropshippingSupported": true,
"isDropshippingActive": true,
"isDefaultSupplier": true,
"isDefaultDropshippingSupplier": true,
"minimumPurchaseQuantity": 123,
"stockLevel": 123,
"averageDeliveryTime": 123,
"stockLevelLastModified": "2023-11-07T05:31:56Z",
"includeSupplierStock": true,
"supplierDeliveryTimeInDays": 123,
"deliveryTimeInDays": 123,
"useSupplierDeliveryTime": true,
"packageUnitDescription": "<string>",
"packageUnitQuantity": 123,
"notes": "<string>",
"purchaseInterval": 123,
"netPurchasePrice": 123,
"vatRate": 123,
"scalePrices": [
{
"fromQuantity": 123,
"usePercentageDiscount": true,
"netPrice": 123,
"percentageDiscount": 123
}
]
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}Item
Queries suppliers for a specific item.
GET
/
v2
/
items
/
{itemId}
/
suppliers
Queries suppliers for a specific item.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
The ID of the item.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Query Parameters
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).
Sort in descending order. Defaults to ascending when omitted.
Only include items whose StockLevelLastModified is after (greater than) this value.
Only include items whose StockLevelLastModified is before (less than) this value.
Was this page helpful?